-- Aggregate Measures
-- Compute Metrics via Expressions
SELECT
  metric_time__day
  , SUM(bookings) AS bookings
FROM (
  -- Read Elements From Semantic Model 'bookings_source'
  -- Metric Time Dimension 'ds'
  -- Pass Only Elements:
  --   ['bookings', 'metric_time__day']
  SELECT
    DATE_TRUNC(ds, day) AS metric_time__day
    , 1 AS bookings
  FROM ***************************.fct_bookings bookings_source_src_1
) subq_2
GROUP BY
  metric_time__day
